local solid_fuel_value = data.raw.item["solid-fuel"].fuel_value
local solid_fuel_num = solid_fuel_value:match "[0-9%.]+"
local fuel_alpha = solid_fuel_value:match "%a+"
local fluid_fuel_num = solid_fuel_num/15
if data.raw.fluid["adamo-carbon-methane"] then
	data.raw.fluid["adamo-carbon-methane"].fuel_value = fluid_fuel_num..fuel_alpha
end
fluid_fuel_num = solid_fuel_num/20
if data.raw.fluid["adamo-carbon-natural-gas"] then
	data.raw.fluid["adamo-carbon-natural-gas"].fuel_value = fluid_fuel_num..fuel_alpha
end
fluid_fuel_num = solid_fuel_num/10
data.raw.fluid["light-oil"].fuel_value = fluid_fuel_num..fuel_alpha 
fluid_fuel_num = solid_fuel_num/20
data.raw.fluid["heavy-oil"].fuel_value = fluid_fuel_num..fuel_alpha 
fluid_fuel_num = solid_fuel_num/20
data.raw.fluid["petroleum-gas"].fuel_value = fluid_fuel_num..fuel_alpha 
fluid_fuel_num = solid_fuel_num/30
data.raw.fluid["crude-oil"].fuel_value = fluid_fuel_num..fuel_alpha 



if settings.startup["adamo-carbon-steam-cracking"].value then
	data.raw.recipe["advanced-oil-processing"].ingredients = {{
			type="fluid", name="crude-oil", amount=100, fluidbox_index = 2
		},{
			type="fluid", name="steam", amount=50, fluidbox_index = 1
	}}
	data.raw.recipe["heavy-oil-cracking"].ingredients = {{
			type="fluid", name="steam", amount=30
		},{
			type="fluid", name="heavy-oil", amount=40
	}}
	data.raw.recipe["light-oil-cracking"].ingredients = {{
			type="fluid", name="steam", amount=30
		},{
			type="fluid", name="light-oil", amount=30
	}}
	if settings.startup["adamo-carbon-methane"].value then
		data.raw.recipe["adamo-carbon-petroleum-gas-cracking"].ingredients = {{
				type="fluid", name="steam", amount=30
			},{
				type="fluid", name="petroleum-gas", amount=20
		}}
	--	data.raw.recipe["adamo-carbon-basic-FT-process"].ingredients = {{
	--			type="fluid",
	--			name="steam",
	--			amount=100
	--	},{
	--			type="fluid",
	--			name="adamo-carbon-methane",
	--			amount=100
	--	},{
	--			type="item",
	--			name="iron-plate",
	--			amount=1,
	--			catalyst_amount = 1
	--	}}
	--	data.raw.recipe["adamo-carbon-advanced-FT-process"].ingredients = {{
	--			type="fluid",
	--			name="steam",
	--			amount=100,
	--			fluidbox_index = 1
	--	},{
	--			type="fluid",
	--			name="adamo-carbon-methane",
	--			amount=100,
	--			fluidbox_index = 2		
	--	},{
	--			type="fluid",
	--			name="petroleum-gas",
	--			amount=10,
	--			fluidbox_index = 2
	--	},{	
	--			type="item",
	--			name="iron-plate",
	--			amount=1,
	--			catalyst_amount = 1
	--	},{
	--			type="item",
	--			name="copper-plate",
	--			amount=1,
	--			catalyst_amount = 1
	--	}}
	end
end